%define git 662c5c1

Summary: Mono bindings for the GKeyFile library
Name: gkeyfile-sharp
Version: 0.1
Release: %mkrel 8
# http://github.com/mono/gkeyfile-sharp/tarball/GKEYFILE_SHARP_0_1
Source0: %{name}-%{version}.tar.gz
Patch0: gkeyfile-sharp-0.1-fix-dllimports.patch
License: LGPLv2+
Group: System/Libraries
Url: http://github.com/mono/gkeyfile-sharp
BuildArch: noarch
BuildRequires: mono-devel
BuildRequires: glib2-devel
BuildRequires: glib-sharp2 >= 2.12.9
BuildRequires: gtk-sharp2-devel
Requires: glib2
#gw filter out deps from *.dll.config
%global __requires_exclude ^lib.*0$

%description
This is a Mono binding for the GKeyFile library.

%package devel
Summary: Development files for %name
Requires: %name = %version-%release
Group: Development/Other

%description devel
This is a Mono binding for the GKeyFile library.

%prep
%setup -q -n mono-%name-%git
sed -i "s#gmcs#mcs#g" configure.in
%autopatch -p1
./autogen.sh

%build
./configure --prefix=%_prefix --libdir=%_prefix/lib
%make

%install
%makeinstall_std pkgconfigdir=%_datadir/pkgconfig

%files
%doc AUTHORS
%_prefix/lib/mono/%name
%_prefix/lib/mono/gac/%name

%files devel
%_datadir/pkgconfig/%name.pc




%changelog
* Thu Dec 03 2015 tv <tv> 0.1-8.mga6
+ Revision: 907939
- fix finding mono4 compiler

* Wed Oct 15 2014 umeabot <umeabot> 0.1-7.mga5
+ Revision: 741209
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1-6.mga5
+ Revision: 679600
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes

* Fri Oct 18 2013 umeabot <umeabot> 0.1-5.mga4
+ Revision: 504883
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.1-4.mga3
+ Revision: 351656
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Mar 24 2011 boklm <boklm> 0.1-3.mga1
+ Revision: 76144
- rebuild for bug #497

* Tue Mar 15 2011 ennael <ennael> 0.1-2.mga1
+ Revision: 71948
- imported package gkeyfile-sharp

